uniform sampler2D m_Map;
uniform sampler2D m_Mask;
uniform sampler2D m_Border;
varying vec2 texCoord;
varying vec2 mapTexCoord;


void main() {
    vec4 borderVal = texture2D(m_Border, texCoord); 
    vec4 maskVal = texture2D(m_Mask, texCoord); 
    vec4 mapVal = texture2D(m_Map, mapTexCoord);
    mapVal = mix( maskVal, mapVal, mapVal.a );
    mapVal.a = 1.0;
    gl_FragColor = mix( mapVal * maskVal.a, borderVal, borderVal.a );
}

